Name:           python-kiwisolver
Version:        1.1.0
Release:        4
Summary:        A fast implementation of the Cassowary constraint solver
License:        BSD
URL:            https://github.com/nucleic/kiwi
Source0:        https://github.com/nucleic/kiwi/archive/%{version}/kiwisolver-%{version}.tar.gz
BuildRequires:  gcc-c++

%description
Kiwi is an efficient C++ implementation of the Cassowary constraint solving algorithm.
Kiwi is an implementation of the algorithm based on the seminal Cassowary paper. It is
not a refactoring of the original C++ solver. Kiwi has been designed from the ground
up to be lightweight and fast.

%package -n     python2-kiwisolver
Summary:        Kiwisolver for Python 2 Package
%python_provide python2-kiwisolver
BuildRequires:  python2-devel python2-setuptools python2-pytest

%description -n python2-kiwisolver
Kiwisolver for Python 2 Package.

%package -n     python3-kiwisolver
Summary:        Kiwisolver for Python 3 Package
%python_provide python3-kiwisolver
BuildRequires:  python3-devel python3-setuptools python3-pytest

%description -n python3-kiwisolver
Kiwisolver for Python 3 Package.

%prep
%autosetup -n kiwi-%{version}
rm -rf kiwisolver.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
PYTHONPATH="%{buildroot}%{python2_sitearch}" py.test-2 py/tests/
PYTHONPATH="%{buildroot}%{python3_sitearch}" py.test-3 py/tests/

%files -n python2-kiwisolver
%doc README.rst LICENSE
%{python2_sitearch}/kiwisolver.so
%{python2_sitearch}/kiwisolver-%{version}-*.egg-info

%files -n python3-kiwisolver
%doc README.rst LICENSE
%{python3_sitearch}/kiwisolver.cpython-*.so
%{python3_sitearch}/kiwisolver-%{version}-*.egg-info

%changelog
* Fri Aug 21 2020 fanjiachen <fanjiachen3@huawei.com> - 1.1.0-4
- Type:rebuild
- ID:NA
- SUG:NA
- DESC:rebuild for requirement package update

* Wed Mar 11 2020 gulining<gulining1@huawei.com> - 1.1.0-3
- Add python2

* Mon Mar 9 2020 Ling Yang <lingyang2@huawei.com> - 1.1.0-2
- Fixed format for spec file

* Tue Nov 05 2019 openEuler Buildteam<buildteam@openeuler.org> - 1.1.0-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:Package Init
